MediaSize.Other (Java Platform SE 8 )
Keywords: javax.print.attribute.standard.MediaSize.Other class
Date: 2016-12-09

javax.print.attribute.standard

## Class MediaSize.Other

- java.lang.Object
- - javax.print.attribute.standard.MediaSize.Other

- Enclosing class:
    MediaSize

      public static final class MediaSize.Other
      extends Object

  Class MediaSize.Other includes `MediaSize` values for miscellaneous media.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MediaSize` | `EXECUTIVE` Specifies the executive size, 7.25 inches by 10.5 inches.
    `static MediaSize` | `FOLIO` Specifies the folio size, 8.5 inches by 13 inches.
    `static MediaSize` | `INVOICE` Specifies the invoice size, 5.5 inches by 8.5 inches.
    `static MediaSize` | `ITALY_ENVELOPE` Specifies the Italy envelope size, 110 mm by 230 mm.
    `static MediaSize` | `JAPANESE_DOUBLE_POSTCARD` Specifies the Japanese Double postcard size, 148 mm by 200 mm.
    `static MediaSize` | `JAPANESE_POSTCARD` Specifies the Japanese postcard size, 100 mm by 148 mm.
    `static MediaSize` | `LEDGER` Specifies the ledger size, 11 inches by 17 inches.
    `static MediaSize` | `MONARCH_ENVELOPE` Specifies the Monarch envelope size, 3.87 inch by 7.5 inch.
    `static MediaSize` | `PERSONAL_ENVELOPE` Specifies the Personal envelope size, 3.625 inch by 6.5 inch.
    `static MediaSize` | `QUARTO` Specifies the quarto size, 8.5 inches by 10.83 inches.
    `static MediaSize` | `TABLOID` Specifies the tabloid size, 11 inches by 17 inches.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXECUTIVE

          public static final MediaSize EXECUTIVE

      Specifies the executive size, 7.25 inches by 10.5 inches.

    - #### LEDGER

          public static final MediaSize LEDGER

      Specifies the ledger size, 11 inches by 17 inches.

    - #### TABLOID

          public static final MediaSize TABLOID

      Specifies the tabloid size, 11 inches by 17 inches.
      Since:
        1.5

    - #### INVOICE

          public static final MediaSize INVOICE

      Specifies the invoice size, 5.5 inches by 8.5 inches.

    - #### FOLIO

          public static final MediaSize FOLIO

      Specifies the folio size, 8.5 inches by 13 inches.

    - #### QUARTO

          public static final MediaSize QUARTO

      Specifies the quarto size, 8.5 inches by 10.83 inches.

    - #### ITALY_ENVELOPE

          public static final MediaSize ITALY_ENVELOPE

      Specifies the Italy envelope size, 110 mm by 230 mm.

    - #### MONARCH_ENVELOPE

          public static final MediaSize MONARCH_ENVELOPE

      Specifies the Monarch envelope size, 3.87 inch by 7.5 inch.

    - #### PERSONAL_ENVELOPE

          public static final MediaSize PERSONAL_ENVELOPE

      Specifies the Personal envelope size, 3.625 inch by 6.5 inch.

    - #### JAPANESE_POSTCARD

          public static final MediaSize JAPANESE_POSTCARD

      Specifies the Japanese postcard size, 100 mm by 148 mm.

    - #### JAPANESE_DOUBLE_POSTCARD

          public static final MediaSize JAPANESE_DOUBLE_POSTCARD

      Specifies the Japanese Double postcard size, 148 mm by 200 mm.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.